function C = mult(A,B)

%Multiplication of trigonometric polynomials
%C = A*B

nr = size(A{1},1);
nc = size(B{1},2);

sa = size(A,2);
sb = size(B,2);
sc = sa+sb-1;

for i=0:sc-1,
    C{i+1} = zeros(nr,nc);
    for j=0:sa-1,
        if (i-j>=0) && (i-j<=sb-1),
            C{i+1} = C{i+1} + A{j+1}*B{i-j+1};
        end
    end  
end

end %function

